=== added file 'MANIFEST.in'
--- MANIFEST.in	1970-01-01 00:00:00 +0000
+++ MANIFEST.in	2010-01-13 16:23:07 +0000
@@ -0,0 +1,3 @@
+include bzr README setup.py
+recursive-include bzrlib *.py *.pyx *.pxd *.txt *.c *.h
+recursive-include tools *.py *.sh

=== modified file 'NEWS'
--- NEWS	2010-01-13 07:43:24 +0000
+++ NEWS	2010-01-13 16:31:34 +0000
@@ -56,6 +56,10 @@
 * Refuse to build with any Pyrex 0.9.4 release, as they have known bugs.
   (Martin Pool, John Arbash Meinel, #449372)
 
+* ``setup.py bdist_rpm`` now properly finds extra files needed for the
+  build. (there is still the distutils bug
+  http://bugs.python.org/issue644744) (Joe Julian, #175839)
+
 * The 2a format wasn't properly restarting autopacks when something
   changed underneath it (like another autopack). Now concurrent
   autopackers will properly succeed. (John Arbash Meinel, #495000)

=== added file 'README_BDIST_RPM'
--- README_BDIST_RPM	1970-01-01 00:00:00 +0000
+++ README_BDIST_RPM	2010-01-10 02:25:31 +0000
@@ -0,0 +1,8 @@
+There is a bug in disttools for distributions who's rpmbuild compresses 
+the man pages. This causes an error building the final packages as it's 
+expecting bzr.1 and not finding it, but finding bzr.1.gz that's unpackaged.
+
+This bug is known to affect Fedora, RHEL, and Centos distributions.
+
+There is a preliminary patch at http://bugs.python.org/issue644744 that
+fixes this issue with disttools.

=== modified file 'bzrlib/tests/blackbox/test_pull.py'
--- bzrlib/tests/blackbox/test_pull.py	2010-01-12 06:12:31 +0000
+++ bzrlib/tests/blackbox/test_pull.py	2010-01-13 16:27:22 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/tests/per_workingtree/test_workingtree.py'
--- bzrlib/tests/per_workingtree/test_workingtree.py	2010-01-11 22:59:04 +0000
+++ bzrlib/tests/per_workingtree/test_workingtree.py	2010-01-13 16:27:22 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2008, 2009, 2010 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 # Authors:  Robert Collins <robert.collins@canonical.com>
 #           and others
 #

=== modified file 'bzrlib/tests/test_transform.py'
--- bzrlib/tests/test_transform.py	2010-01-12 04:31:21 +0000
+++ bzrlib/tests/test_transform.py	2010-01-13 16:27:22 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2008, 2009, 2010 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/transform.py'
--- bzrlib/transform.py	2010-01-11 22:23:37 +0000
+++ bzrlib/transform.py	2010-01-13 16:27:22 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006, 2007, 2008, 2009, 2010 Canonical Ltd
+# Copyright (C) 2006-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'bzrlib/workingtree.py'
--- bzrlib/workingtree.py	2010-01-12 20:55:45 +0000
+++ bzrlib/workingtree.py	2010-01-13 16:27:22 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2005, 2006, 2007, 2008, 2009, 2010 Canonical Ltd
+# Copyright (C) 2005-2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

